package com.yc.education.mapper;

import com.yc.education.model.Productclassify;
import com.yc.education.util.MyMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ProductclassifyMapper extends MyMapper<Productclassify> {
    /*查询所有*/
    List<Productclassify> selAllPclassify(@Param("id") Integer id,@Param("pName") String pName);

    /*查询单条*/
    Productclassify selectPclassifyById(Integer id);

    /*查询是否还有子列表*/
    int countPclassify(Integer id);

    /*删除单条*/
    void deletePclassifyById(Integer id);
    List<Productclassify> getProductclassify();

    int getPclassifyById();

    List<Productclassify> getProductById(Integer id);
    List<Productclassify> getProduct();

    /*查询所有二级分类*/
    List<Productclassify> getcast(@Param("id") Integer id,@Param("pName") String pName);

    List<Productclassify> gerreemod();
}